Description

OSX Mountain Lion 10.8.3. Dual-monitor setup with retina Macbook Pro screen as the main display, and a standard 24" display as
the secondary.

When | run KSP in windowed mode on the main display it works fine. When | move the window to the external monitor, the game
acts like the cursor is several inches off from where it actually is. Here's a video to demonstrate, taken on my external display with a
stock copy of KSP with default settings (the circles around the cursor are how my video recording software shows clicks). The video
was taken in 0.18.4, but the bug is identical in 0.19.0. Versions of KSP prior to 0.18.4 did not have the bug.

The problem occurs in the menu, other Ul, and in the game itself. It happens regardless of whether or not | use OSX's "open in low
resolution" checkbox to override the retina display. No other games I've tried have similar issues.

History

#1 - 10/16/2013 08:19 AM - akohlsmith

| too have this issue. 10.8.5, 11" 2012 MacBook Air, no retina display here. My mouse doesn't appear to be several inches off; | can't get the main
screen options to highlight no matter where | put the mouse. It works great on the laptop display. I'm using a 22" LG monitor connected to the mini
displayport connector on the laptop with a regular old mini diplayport-to-hdmi adapter.

This is version 0.22 purchased through Steam. No updates are available to me as of today.

#2 - 01/23/2014 10:18 PM - lawnmowerlatte
- File 720p_1024x768.jpeg added

- File 1080p_1024x768.jpeg added

- File 1080p_1280x800.jpeg added

Same issue here. This occurred with version 0.22 and is currently happening on 0.23 on my Mid-2012 13" MacBook Pro (MacBookPro9,2) using a
Samsung 27" TV as the extra monitor (Mini DisplayPort to HDMI).

| have a few extra details of note:

1. This always happens only on the "second" monitor. If | move the menu bar to the external monitor, that monitor will work as expected and
instead the native display will have the problem.

2.1t DOES NOT appear to have any impact how the second monitor is "aligned" with the first. (i.e. native higher or lower than external)

3. It DOES appear to be impacted by the resolution of the external monitor (see 720p_1024x768. jpg vs 1080p_1024x768.jpg)

4.1t DOES NOT appear to be impacted by the resolution of the game (see 1080p_1024x768.jpg vs. 1080p_1280x800. jpg)

5. It DOES appear that the closer the external resolution is to the native resolution, the closer the cursor will be. When | tried 1344x756 for the
external and 1280x800 on the native, it was much closer than other settings. When | set the external to 720p and my native monitor to
1152x720, the cursor was dead on.

Hopefully these details help narrow down the problem.

#3 - 09/09/2014 04:39 AM - jonnyp
- Platform OSX added

| have a rough theory on this one:

Given that mouse co-ordinates originate from bottom left of the screen and window rect's originate from the top left of the screen, If the resolution of
the screen changes then these two variables will not match up properly unless the new screen size is taken into account.

Example: (I've simplified the numbers to make the math easier) Open a KSP window of size 500x500 on a screen which is 1000x1000 in resolution.
assuming the window is in the middle of the screen and you click on the center of the screen at position (500,500). The game will register this as a
button click at position (250,250)(that's 500-250,500-250) within the games window. When you move the game window over so it is centralised on the
second screen at resolution 1200x1200, then click on the center of the second screen (600,600) the game will still think it's at the original resolution of
1000x1000 so will think you have clicked at (250,50) (that's 600-350, 400-350).

Hope this makes sense, | believe its OSX only and probably due to OpenGL

#4 - 09/09/2014 04:44 AM - jonnyp

tl;dr: Assuming you get the mouse position by doing screenHeight - mousePos.y (because mousepos is from bottom left) then when you change
monitors the game doesn't realise the screenHeight has changed, so the vertical position is off

#5 - 09/09/2014 05:14 AM - Squelch

I'm unable to reproduce this on Windows no matter what crazy resolution combinations or even changing them while KSP is running. It does look
increasingly like an OpenGL/OSX issue. Is it still a problem in 24.27

A test on a Linux platform would also help narrow this down further.

#6 - 12/14/2014 09:55 PM - lawnmowerlatte

- Status changed from New to Need More Info

| just tested this with .25.0.642 on the same hardware as my earlier test using 1280x800 and 1080p and cannot reproduce the earlier result. I'd say
this can probably be closed.

#7 - 07/17/2016 09:23 AM - TriggerAu

- Status changed from Need More Info to Needs Clarification

#8 - 07/17/2016 06:21 PM - Claw
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100
lawnmowerlatte wrote:
| just tested this with .25.0.642 on the same hardware as my earlier test using 1280x800 and 1080p and cannot reproduce the earlier result. I'd

say this can probably be closed.

Closed, per comment

#9 - 09/10/2016 03:58 AM - reinderien
lawnmowerlatte wrote:

| just tested this with .25.0.642 on the same hardware as my earlier test using 1280x800 and 1080p and cannot reproduce the earlier result. I'd
say this can probably be closed.

Unfortunately | am able to reproduce this problem with 1.1.3 in Linux. Please advise if you want me to run any diagnostics. This is running on an
external monitor whose resolution is not the same as the built-in laptop monitor. The built-in monitor is 1920x1080 and the external monitor is
1680x1050.

| solved the problem - there was a quirk where, even though the external monitor's maximum res is 1680x1050, KSP's res was showing as
1920x1080 and it was on the external monitor. Changing the resolution in KSP to the correct one solved the issue.

Files

720p_1024x768.jpeg 666 KB 01/23/2014 lawnmowerlatte
